package org.F11.scada.tool.attribute;

import org.F11.scada.util.RmiUtil;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * 属性テーブル操作サービス実装クラス
 *
 * @author maekawa
 *
 */
public class AttributeSetServiceImpl implements AttributeSetService {
	private final Log log = LogFactory.getLog(AttributeSetServiceImpl.class);
	private AttributeDao dao;

	public AttributeSetServiceImpl(int regPort, int objPort) {
		RmiUtil.registryServer(this, AttributeSetService.class, regPort,
				objPort);
	}

	public void setDao(AttributeDao dao) {
		this.dao = dao;
	}

	public int updateAttribute(Attribute dto) {
		return dao.updateAttribute(dto);
	}
}
